<?php
require_once __DIR__ . '/includes/freepay.class.php';

$params = array();
$params['api'] = $_POST['api'];
$params['amount'] = intval($_POST['amount']);
if($_POST['currencies'] == 'Toman')
	$params['amount'] = ($params['amount'] * 10);

if($_POST['currencies'] == 'USD')
	$currency = 'USD';
else
	$currency = 'IRR';
	
$params['callbackURL'] = $_POST['systemurl'] . '/modules/gateways/callback/freepay.php?invoiceid=' . $_POST['invoiceid'];
$params['currency'] = $currency;

$fpclient = new freepay();
$parameters = array(
    'api' => $params['api'],
    'amount' => (int) $params['amount'],
    'callback' => $params['callbackURL'],
	'host' => $_SERVER['SERVER_NAME']
);
$res = $fpclient->paymentRequest($parameters);
if($res->type == 'success'){
    header("Location: ".$fpclient->gateway_url."gateway:".$res->auth);
    exit();
}
else
	echo 'System Message : ' . $res->message;
?>