<?php
if(file_exists(__DIR__ . '/../../../init.php'))
	require_once __DIR__ . '/../../../init.php';
else
	require_once __DIR__ . '/../../../dbconnect.php';
require_once __DIR__ . '/../../../includes/functions.php';
require_once __DIR__ . '/../../../includes/gatewayfunctions.php';
require_once __DIR__ . '/../../../includes/invoicefunctions.php';
require_once __DIR__ . '/../../../includes/freepay.class.php';

$gatewaymodule = 'freepay';
$GATEWAY = getGatewayVariables($gatewaymodule);
if (!$GATEWAY['type']) die('Module Not Activated');
	
$invoiceid  = $_GET['invoiceid'];
$authority  = trim($_GET['authority']);
$invoiceid  = checkCbInvoiceID($invoiceid, $GATEWAY['name']);

$params = array();
$params['api'] = $GATEWAY['api'];
$params['authority'] = $authority;

$parameters = array(
	'api' => $params['api'],
	'authority' => (int) $params['authority']
);
$res = $fpclient->paymentVerify($parameters);
$status = $res->status;
$message = $res->message;
$amount = $res->amount;

checkCbTransID($authority);

if($GATEWAY['Currencies'] == 'Toman')
	$amount = $amount / 10;
	
if($res->status == 1 && $res->message == 'ok'){
	addInvoicePayment($invoiceid, $authority, $amount, 0, $gatewaymodule);
	logTransaction($GATEWAY["name"],$_POST,"Successful");
}
else
	logTransaction($GATEWAY["name"],$_POST,"Unsuccessful");
header('location: ' .$CONFIG['SystemURL'] . '/viewinvoice.php?id=' . $invoiceid);  
?>
